Bug 697220 - gdm should not depend on notification-daemon
Summary: gdm should not depend on notification-daemon
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2011-04-16 23:49 UTC by Christoph Wickert
Modified: 2015-07-03 07:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-03 07:44:16 UTC
Type: ---


Attachments (Terms of Use)

Description Christoph Wickert 2011-04-16 23:49:29 UTC
Description of problem:
gdm should not depend on notification-daemon but rather use the virtual provides "desktop-notification-daemon". People might already have a notification daemon installed, e.g. the Xfce Spin comes with xfce4-notifyd and with two notification-daemons, we are running into problems like bug 484945.

Version-Release number of selected component (if applicable):
gdm-3.0.0-2.fc15

Comment 1 Fedora Admin XMLRPC Client 2011-06-21 15:28:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2011-06-21 15:30:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2011-06-21 15:33:33 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Admin XMLRPC Client 2011-06-21 15:36:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2011-06-21 15:42:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2011-06-21 15:46:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2011-06-21 15:48:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Admin XMLRPC Client 2011-06-21 15:50:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2011-06-21 15:52:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Jayson Vaughn 2011-07-06 18:37:32 UTC

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 David King 2015-03-09 20:07:38 UTC
gdm does not depend on notification-daemon, and neither did the version that this bug was reported against:

http://koji.fedoraproject.org/koji/rpminfo?rpmID=2508941

Is this still a problem, or is there a specific Requires that is problematic?

Comment 12 Christoph Wickert 2015-07-03 07:44:16 UTC
I'm not sure how exactly the dependency chain was back in 3.0.0, but something hardcoded notification-daemon instead of the virtual provides desktop-notification-daemon.

Anyway, it's no longer present now.


Note You need to log in before you can comment on or make changes to this bug.